import { GraphQLResolveInfo, GraphQLScalarType, GraphQLScalarTypeConfig } from 'graphql';
export declare type Maybe<T> = T | null;
export declare type Exact<T extends {
    [key: string]: any;
}> = {
    [K in keyof T]: T[K];
};
export declare type RequireFields<T, K extends keyof T> = {
    [X in Exclude<keyof T, K>]?: T[X];
} & {
    [P in K]-?: NonNullable<T[P]>;
};
export declare type Scalars = {
    ID: string;
    String: string;
    Boolean: boolean;
    Int: number;
    Float: number;
    DateTime: any;
    Hash32HexString: any;
    BigInt: any;
    IPv4: any;
    IPv6: any;
    URL: any;
    Percentage: any;
};
export declare type BigInt_Comparison_Exp = {
    _eq?: Maybe<Scalars['BigInt']>;
    _gt?: Maybe<Scalars['BigInt']>;
    _gte?: Maybe<Scalars['BigInt']>;
    _in?: Maybe<Array<Scalars['BigInt']>>;
    _is_null?: Maybe<Scalars['Boolean']>;
    _lt?: Maybe<Scalars['BigInt']>;
    _lte?: Maybe<Scalars['BigInt']>;
    _neq?: Maybe<Scalars['BigInt']>;
    _nin?: Maybe<Array<Scalars['BigInt']>>;
};
export declare type Block = {
    __typename?: 'Block';
    epoch?: Maybe<Epoch>;
    epochNo?: Maybe<Scalars['Int']>;
    fees: Scalars['BigInt'];
    forgedAt: Scalars['DateTime'];
    slotLeader: SlotLeader;
    hash: Scalars['Hash32HexString'];
    merkelRoot?: Maybe<Scalars['Hash32HexString']>;
    number?: Maybe<Scalars['Int']>;
    opCert?: Maybe<Scalars['Hash32HexString']>;
    slotNo?: Maybe<Scalars['Int']>;
    previousBlock?: Maybe<Block>;
    protocolVersion?: Maybe<Scalars['String']>;
    nextBlock?: Maybe<Block>;
    size: Scalars['BigInt'];
    transactions: Array<Maybe<Transaction>>;
    transactions_aggregate: Transaction_Aggregate;
    transactionsCount: Scalars['String'];
    vrfKey?: Maybe<Scalars['Hash32HexString']>;
};
export declare type BlockTransactionsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Transaction_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Transaction_Bool_Exp>;
};
export declare type BlockTransactions_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Transaction_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Transaction_Bool_Exp>;
};
export declare type Block_Aggregate = {
    __typename?: 'Block_aggregate';
    aggregate?: Maybe<Block_Aggregate_Fields>;
};
export declare type Block_Aggregate_Fields = {
    __typename?: 'Block_aggregate_fields';
    avg: Block_Avg_Fields;
    count: Scalars['String'];
    max: Block_Max_Fields;
    min: Block_Min_Fields;
    sum: Block_Sum_Fields;
};
export declare type Block_Avg_Fields = {
    __typename?: 'Block_avg_fields';
    fees?: Maybe<Scalars['Float']>;
    size?: Maybe<Scalars['Float']>;
};
export declare type Block_Bool_Exp = {
    _and?: Maybe<Array<Maybe<Block_Bool_Exp>>>;
    _not?: Maybe<Block_Bool_Exp>;
    _or?: Maybe<Array<Maybe<Block_Bool_Exp>>>;
    forgedAt?: Maybe<Date_Comparison_Exp>;
    slotLeader?: Maybe<SlotLeader_Bool_Exp>;
    epoch?: Maybe<Epoch_Bool_Exp>;
    fees?: Maybe<BigInt_Comparison_Exp>;
    hash?: Maybe<Hash32HexString_Comparison_Exp>;
    number?: Maybe<Int_Comparison_Exp>;
    previousBlock?: Maybe<Block_Bool_Exp>;
    nextBlock?: Maybe<Block_Bool_Exp>;
    size?: Maybe<BigInt_Comparison_Exp>;
    slotNo?: Maybe<Int_Comparison_Exp>;
    transactions?: Maybe<Transaction_Bool_Exp>;
    transactionsCount?: Maybe<Text_Comparison_Exp>;
};
export declare type Block_Max_Fields = {
    __typename?: 'Block_max_fields';
    fees?: Maybe<Scalars['String']>;
    size?: Maybe<Scalars['String']>;
};
export declare type Block_Min_Fields = {
    __typename?: 'Block_min_fields';
    fees?: Maybe<Scalars['String']>;
    size?: Maybe<Scalars['String']>;
};
export declare type Block_Order_By = {
    forgedAt?: Maybe<Order_By>;
    slotLeader?: Maybe<Order_By>;
    epoch?: Maybe<Epoch_Order_By>;
    fees?: Maybe<Order_By>;
    number?: Maybe<Order_By_With_Nulls>;
    size?: Maybe<Order_By>;
    slotNo?: Maybe<Order_By_With_Nulls>;
    transactionsCount?: Maybe<Order_By>;
};
export declare type Block_Sum_Fields = {
    __typename?: 'Block_sum_fields';
    fees?: Maybe<Scalars['String']>;
    size?: Maybe<Scalars['String']>;
};
export declare type Cardano = {
    __typename?: 'Cardano';
    tip: Block;
    currentEpoch: Epoch;
};
export declare type CardanoDbMeta = {
    __typename?: 'CardanoDbMeta';
    initialized: Scalars['Boolean'];
    syncPercentage: Scalars['Percentage'];
};
export declare type Date_Comparison_Exp = {
    _eq?: Maybe<Scalars['DateTime']>;
    _gt?: Maybe<Scalars['DateTime']>;
    _gte?: Maybe<Scalars['DateTime']>;
    _in?: Maybe<Array<Maybe<Scalars['DateTime']>>>;
    _lt?: Maybe<Scalars['DateTime']>;
    _lte?: Maybe<Scalars['DateTime']>;
    _neq?: Maybe<Scalars['DateTime']>;
    _nin?: Maybe<Array<Maybe<Scalars['DateTime']>>>;
};
export declare type Delegation = {
    __typename?: 'Delegation';
    address: Scalars['String'];
    stakePool: StakePool;
};
export declare type Delegation_Aggregate = {
    __typename?: 'Delegation_aggregate';
    aggregate?: Maybe<Delegation_Aggregate_Fields>;
};
export declare type Delegation_Aggregate_Fields = {
    __typename?: 'Delegation_aggregate_fields';
    avg: Delegation_Avg_Fields;
    count: Scalars['String'];
    max: Delegation_Max_Fields;
    min: Delegation_Min_Fields;
    sum: Delegation_Sum_Fields;
};
export declare type Delegation_Avg_Fields = {
    __typename?: 'Delegation_avg_fields';
    stakePool?: Maybe<StakePool_Avg_Fields>;
};
export declare type Delegation_Bool_Exp = {
    _and?: Maybe<Array<Maybe<Delegation_Bool_Exp>>>;
    _not?: Maybe<Delegation_Bool_Exp>;
    _or?: Maybe<Array<Maybe<Delegation_Bool_Exp>>>;
    address?: Maybe<Text_Comparison_Exp>;
    stakePool?: Maybe<StakePool_Bool_Exp>;
};
export declare type Delegation_Max_Fields = {
    __typename?: 'Delegation_max_fields';
    stakePool?: Maybe<StakePool_Avg_Fields>;
};
export declare type Delegation_Min_Fields = {
    __typename?: 'Delegation_min_fields';
    stakePool?: Maybe<StakePool_Avg_Fields>;
};
export declare type Delegation_Order_By = {
    address?: Maybe<Text_Comparison_Exp>;
    stakePool?: Maybe<StakePool_Order_By>;
};
export declare type Delegation_Sum_Fields = {
    __typename?: 'Delegation_sum_fields';
    stakePool?: Maybe<StakePool_Avg_Fields>;
};
export declare type Epoch = {
    __typename?: 'Epoch';
    blocks: Array<Block>;
    blocks_aggregate: Block_Aggregate;
    blocksCount: Scalars['String'];
    output: Scalars['String'];
    number: Scalars['Int'];
    transactionsCount: Scalars['String'];
    startedAt: Scalars['DateTime'];
    lastBlockTime: Scalars['DateTime'];
};
export declare type EpochBlocksArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Block_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Block_Bool_Exp>;
};
export declare type EpochBlocks_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Block_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Block_Bool_Exp>;
};
export declare type Epoch_Aggregate = {
    __typename?: 'Epoch_aggregate';
    aggregate: Epoch_Aggregate_Fields;
};
export declare type Epoch_Aggregate_Fields = {
    __typename?: 'Epoch_aggregate_fields';
    count: Scalars['String'];
    max: Epoch_Max_Fields;
    min: Epoch_Min_Fields;
    sum: Epoch_Sum_Fields;
};
export declare type Epoch_Bool_Exp = {
    _and?: Maybe<Array<Maybe<Epoch_Bool_Exp>>>;
    _not?: Maybe<Epoch_Bool_Exp>;
    _or?: Maybe<Array<Maybe<Epoch_Bool_Exp>>>;
    blocks?: Maybe<Block_Bool_Exp>;
    blocksCount?: Maybe<Text_Comparison_Exp>;
    number?: Maybe<Int_Comparison_Exp>;
    output?: Maybe<Text_Comparison_Exp>;
    transactionsCount?: Maybe<Text_Comparison_Exp>;
};
export declare type Epoch_Max_Fields = {
    __typename?: 'Epoch_max_fields';
    blocksCount: Scalars['String'];
    number: Scalars['Int'];
    output: Scalars['String'];
    transactionsCount: Scalars['String'];
};
export declare type Epoch_Min_Fields = {
    __typename?: 'Epoch_min_fields';
    blocksCount: Scalars['String'];
    output: Scalars['String'];
    transactionsCount: Scalars['String'];
};
export declare type Epoch_Order_By = {
    blocksCount?: Maybe<Order_By>;
    number?: Maybe<Order_By>;
    output?: Maybe<Order_By>;
    transactionsCount?: Maybe<Order_By>;
};
export declare type Epoch_Sum_Fields = {
    __typename?: 'Epoch_sum_fields';
    blocksCount: Scalars['String'];
    output: Scalars['String'];
    transactionsCount: Scalars['String'];
};
export declare type Float_Comparison_Exp = {
    _eq?: Maybe<Scalars['Float']>;
    _gt?: Maybe<Scalars['Float']>;
    _gte?: Maybe<Scalars['Float']>;
    _in?: Maybe<Array<Scalars['Float']>>;
    _is_null?: Maybe<Scalars['Boolean']>;
    _lt?: Maybe<Scalars['Float']>;
    _lte?: Maybe<Scalars['Float']>;
    _neq?: Maybe<Scalars['Float']>;
    _nin?: Maybe<Array<Scalars['Float']>>;
};
export declare type Hash32HexString_Comparison_Exp = {
    _eq?: Maybe<Scalars['Hash32HexString']>;
    _in?: Maybe<Array<Maybe<Scalars['Hash32HexString']>>>;
    _neq?: Maybe<Scalars['Hash32HexString']>;
    _nin?: Maybe<Array<Maybe<Scalars['Hash32HexString']>>>;
};
export declare type Int_Comparison_Exp = {
    _eq?: Maybe<Scalars['Int']>;
    _gt?: Maybe<Scalars['Int']>;
    _gte?: Maybe<Scalars['Int']>;
    _in?: Maybe<Array<Scalars['Int']>>;
    _is_null?: Maybe<Scalars['Boolean']>;
    _lt?: Maybe<Scalars['Int']>;
    _lte?: Maybe<Scalars['Int']>;
    _neq?: Maybe<Scalars['Int']>;
    _nin?: Maybe<Array<Scalars['Int']>>;
};
export declare enum Order_By {
    Asc = "asc",
    Desc = "desc"
}
export declare enum Order_By_With_Nulls {
    Asc = "asc",
    AscNullsFirst = "asc_nulls_first",
    AscNullsLast = "asc_nulls_last",
    Desc = "desc",
    DescNullsFirst = "desc_nulls_first",
    DescNullsLast = "desc_nulls_last"
}
export declare type Percentage_Comparison_Exp = {
    _eq?: Maybe<Scalars['Percentage']>;
    _gt?: Maybe<Scalars['Percentage']>;
    _gte?: Maybe<Scalars['Percentage']>;
    _lt?: Maybe<Scalars['Percentage']>;
    _lte?: Maybe<Scalars['Percentage']>;
    _neq?: Maybe<Scalars['Percentage']>;
};
export declare type Query = {
    __typename?: 'Query';
    blocks: Array<Maybe<Block>>;
    blocks_aggregate: Block_Aggregate;
    cardano: Cardano;
    cardanoDbMeta: CardanoDbMeta;
    delegations: Array<Maybe<Delegation>>;
    delegations_aggregate: Delegation_Aggregate;
    epochs: Array<Maybe<Epoch>>;
    epochs_aggregate: Epoch_Aggregate;
    stakeDeregistrations: Array<Maybe<StakeRegistration>>;
    stakeDeregistrations_aggregate: StakeRegistration_Aggregate;
    stakePools: Array<Maybe<StakePool>>;
    stakePools_aggregate: StakePool_Aggregate;
    stakeRegistrations: Array<Maybe<StakeRegistration>>;
    stakeRegistrations_aggregate: StakeRegistration_Aggregate;
    transactions: Array<Maybe<Transaction>>;
    transactions_aggregate: Transaction_Aggregate;
    utxos: Array<Maybe<TransactionOutput>>;
    utxos_aggregate: TransactionOutput_Aggregate;
    withdrawals: Array<Maybe<Withdrawal>>;
    withdrawals_aggregate: Withdrawal_Aggregate;
};
export declare type QueryBlocksArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Block_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Block_Bool_Exp>;
};
export declare type QueryBlocks_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Block_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Block_Bool_Exp>;
};
export declare type QueryDelegationsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Delegation_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Delegation_Bool_Exp>;
};
export declare type QueryDelegations_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Delegation_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Delegation_Bool_Exp>;
};
export declare type QueryEpochsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Epoch_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Epoch_Bool_Exp>;
};
export declare type QueryEpochs_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Epoch_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Epoch_Bool_Exp>;
};
export declare type QueryStakeDeregistrationsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<StakeRegistration_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<StakeRegistration_Bool_Exp>;
};
export declare type QueryStakeDeregistrations_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<StakeRegistration_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<StakeRegistration_Bool_Exp>;
};
export declare type QueryStakePoolsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<StakePool_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<StakePool_Bool_Exp>;
};
export declare type QueryStakePools_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<StakePool_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<StakePool_Bool_Exp>;
};
export declare type QueryStakeRegistrationsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<StakeRegistration_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<StakeRegistration_Bool_Exp>;
};
export declare type QueryStakeRegistrations_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<StakeRegistration_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<StakeRegistration_Bool_Exp>;
};
export declare type QueryTransactionsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Transaction_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Transaction_Bool_Exp>;
};
export declare type QueryTransactions_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Transaction_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Transaction_Bool_Exp>;
};
export declare type QueryUtxosArgs = {
    distinct_on?: Maybe<Array<TransactionOutput_Distinct_On>>;
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<TransactionOutput_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<TransactionOutput_Bool_Exp>;
};
export declare type QueryUtxos_AggregateArgs = {
    distinct_on?: Maybe<Array<TransactionOutput_Distinct_On>>;
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<TransactionOutput_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<TransactionOutput_Bool_Exp>;
};
export declare type QueryWithdrawalsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Withdrawal_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Withdrawal_Bool_Exp>;
};
export declare type QueryWithdrawals_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Withdrawal_Order_By>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<Withdrawal_Bool_Exp>;
};
export declare type Relay = {
    __typename?: 'Relay';
    ipv4?: Maybe<Scalars['IPv4']>;
    ipv6?: Maybe<Scalars['IPv6']>;
    dnsName?: Maybe<Scalars['URL']>;
    dnsSrvName?: Maybe<Scalars['String']>;
};
export declare type Relay_Bool_Exp = {
    ipv4?: Maybe<Text_Comparison_Exp>;
    ipv6?: Maybe<Text_Comparison_Exp>;
    dnsName?: Maybe<Text_Comparison_Exp>;
    dnsSrvName?: Maybe<Text_Comparison_Exp>;
};
export declare type SlotLeader = {
    __typename?: 'SlotLeader';
    description: Scalars['String'];
    hash: Scalars['Hash32HexString'];
    stakePool?: Maybe<StakePool>;
};
export declare type SlotLeader_Bool_Exp = {
    description?: Maybe<Text_Comparison_Exp>;
    hash?: Maybe<Hash32HexString_Comparison_Exp>;
    stakePool?: Maybe<StakePool_Bool_Exp>;
};
export declare type StakeDeregistration = {
    __typename?: 'StakeDeregistration';
    address: Scalars['String'];
    transaction: Transaction;
};
export declare type StakePool = {
    __typename?: 'StakePool';
    fixedCost: Scalars['String'];
    hash: Scalars['Hash32HexString'];
    margin: Scalars['Float'];
    metadataHash?: Maybe<Scalars['Hash32HexString']>;
    owners: Array<StakePoolOwner>;
    pledge: Scalars['String'];
    relays?: Maybe<Array<Maybe<Relay>>>;
    retirement?: Maybe<StakePoolRetirement>;
    rewardAddress: Scalars['String'];
    updatedIn: Transaction;
    url?: Maybe<Scalars['URL']>;
    withdrawals: Array<Maybe<Withdrawal>>;
};
export declare type StakePool_Aggregate = {
    __typename?: 'StakePool_aggregate';
    aggregate?: Maybe<StakePool_Aggregate_Fields>;
};
export declare type StakePool_Aggregate_Fields = {
    __typename?: 'StakePool_aggregate_fields';
    avg: StakePool_Avg_Fields;
    count: Scalars['String'];
    max: StakePool_Max_Fields;
    min: StakePool_Min_Fields;
    sum: StakePool_Sum_Fields;
};
export declare type StakePool_Avg_Fields = {
    __typename?: 'StakePool_avg_fields';
    fixedCost?: Maybe<Scalars['String']>;
    margin?: Maybe<Scalars['Float']>;
    pledge?: Maybe<Scalars['String']>;
};
export declare type StakePool_Bool_Exp = {
    _and?: Maybe<Array<Maybe<StakePool_Bool_Exp>>>;
    _not?: Maybe<StakePool_Bool_Exp>;
    _or?: Maybe<Array<Maybe<StakePool_Bool_Exp>>>;
    hash?: Maybe<Hash32HexString_Comparison_Exp>;
    margin?: Maybe<Float_Comparison_Exp>;
    metadataHash?: Maybe<Hash32HexString_Comparison_Exp>;
    owners?: Maybe<StakePoolOwner_Bool_Exp>;
    pledge?: Maybe<Text_Comparison_Exp>;
    registrationTransaction?: Maybe<Transaction_Bool_Exp>;
    relays?: Maybe<Relay_Bool_Exp>;
    retirement?: Maybe<Relay_Bool_Exp>;
    rewardAddress?: Maybe<Text_Comparison_Exp>;
    url?: Maybe<Text_Comparison_Exp>;
    withdrawals?: Maybe<Withdrawal_Bool_Exp>;
};
export declare type StakePool_Max_Fields = {
    __typename?: 'StakePool_max_fields';
    fixedCost?: Maybe<Scalars['String']>;
    margin?: Maybe<Scalars['Float']>;
    pledge?: Maybe<Scalars['String']>;
};
export declare type StakePool_Min_Fields = {
    __typename?: 'StakePool_min_fields';
    fixedCost?: Maybe<Scalars['String']>;
    margin?: Maybe<Scalars['Float']>;
    pledge?: Maybe<Scalars['String']>;
};
export declare type StakePool_Order_By = {
    fixedCost?: Maybe<Order_By>;
    hash?: Maybe<Order_By>;
    margin?: Maybe<Order_By>;
    pledge?: Maybe<Order_By>;
    updatedIn?: Maybe<Transaction_Order_By>;
    url?: Maybe<Order_By>;
};
export declare type StakePool_Sum_Fields = {
    __typename?: 'StakePool_sum_fields';
    fixedCost?: Maybe<Scalars['String']>;
    margin?: Maybe<Scalars['Float']>;
    pledge?: Maybe<Scalars['String']>;
};
export declare type StakePoolOwner = {
    __typename?: 'StakePoolOwner';
    hash: Scalars['Hash32HexString'];
};
export declare type StakePoolOwner_Bool_Exp = {
    hash?: Maybe<Hash32HexString_Comparison_Exp>;
};
export declare type StakePoolRetirement = {
    __typename?: 'StakePoolRetirement';
    announcedIn: Transaction;
    inEffectFrom: Epoch;
};
export declare type StakePoolRetirement_Bool_Exp = {
    announcedIn?: Maybe<Transaction_Bool_Exp>;
    inEffectFrom?: Maybe<Epoch_Bool_Exp>;
};
export declare type StakeRegistration = {
    __typename?: 'StakeRegistration';
    address: Scalars['String'];
    transaction: Transaction;
};
export declare type StakeRegistration_Aggregate = {
    __typename?: 'StakeRegistration_aggregate';
    aggregate?: Maybe<StakeRegistration_Aggregate_Fields>;
};
export declare type StakeRegistration_Aggregate_Fields = {
    __typename?: 'StakeRegistration_aggregate_fields';
    avg: StakeRegistration_Avg_Fields;
    count: Scalars['String'];
    max: StakeRegistration_Max_Fields;
    min: StakeRegistration_Min_Fields;
    sum: StakeRegistration_Sum_Fields;
};
export declare type StakeRegistration_Avg_Fields = {
    __typename?: 'StakeRegistration_avg_fields';
    transaction?: Maybe<Transaction_Avg_Fields>;
};
export declare type StakeRegistration_Bool_Exp = {
    _and?: Maybe<Array<Maybe<StakeRegistration_Bool_Exp>>>;
    _not?: Maybe<StakeRegistration_Bool_Exp>;
    _or?: Maybe<Array<Maybe<StakeRegistration_Bool_Exp>>>;
    address?: Maybe<Text_Comparison_Exp>;
    transaction?: Maybe<Transaction_Bool_Exp>;
};
export declare type StakeRegistration_Max_Fields = {
    __typename?: 'StakeRegistration_max_fields';
    transaction?: Maybe<Transaction_Max_Fields>;
};
export declare type StakeRegistration_Min_Fields = {
    __typename?: 'StakeRegistration_min_fields';
    transaction?: Maybe<Transaction_Min_Fields>;
};
export declare type StakeRegistration_Order_By = {
    address?: Maybe<Text_Comparison_Exp>;
    transaction?: Maybe<Transaction_Order_By>;
};
export declare type StakeRegistration_Sum_Fields = {
    __typename?: 'StakeRegistration_sum_fields';
    transaction?: Maybe<Transaction_Sum_Fields>;
};
export declare type Text_Comparison_Exp = {
    _eq?: Maybe<Scalars['String']>;
    _gt?: Maybe<Scalars['String']>;
    _gte?: Maybe<Scalars['String']>;
    _ilike?: Maybe<Scalars['String']>;
    _in?: Maybe<Array<Maybe<Scalars['String']>>>;
    _is_null?: Maybe<Scalars['Boolean']>;
    _like?: Maybe<Scalars['String']>;
    _lt?: Maybe<Scalars['String']>;
    _lte?: Maybe<Scalars['String']>;
    _neq?: Maybe<Scalars['String']>;
    _nilike?: Maybe<Scalars['String']>;
    _nin?: Maybe<Array<Maybe<Scalars['String']>>>;
    _nlike?: Maybe<Scalars['String']>;
    _nsimilar?: Maybe<Scalars['String']>;
    _similar?: Maybe<Scalars['String']>;
};
export declare type Transaction = {
    __typename?: 'Transaction';
    block?: Maybe<Block>;
    blockIndex: Scalars['Int'];
    fee: Scalars['BigInt'];
    hash: Scalars['Hash32HexString'];
    inputs: Array<TransactionInput>;
    inputs_aggregate?: Maybe<TransactionInput_Aggregate>;
    outputs: Array<TransactionOutput>;
    outputs_aggregate?: Maybe<TransactionOutput_Aggregate>;
    size: Scalars['BigInt'];
    totalOutput: Scalars['String'];
    includedAt: Scalars['DateTime'];
};
export declare type TransactionInputsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Maybe<TransactionInput_Order_By>>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<TransactionInput_Bool_Exp>;
};
export declare type TransactionInputs_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Maybe<TransactionInput_Order_By>>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<TransactionInput_Bool_Exp>;
};
export declare type TransactionOutputsArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Maybe<TransactionOutput_Order_By>>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<TransactionOutput_Bool_Exp>;
};
export declare type TransactionOutputs_AggregateArgs = {
    limit?: Maybe<Scalars['Int']>;
    order_by?: Maybe<Array<Maybe<TransactionOutput_Order_By>>>;
    offset?: Maybe<Scalars['Int']>;
    where?: Maybe<TransactionOutput_Bool_Exp>;
};
export declare type Transaction_Aggregate = {
    __typename?: 'Transaction_aggregate';
    aggregate?: Maybe<Transaction_Aggregate_Fields>;
};
export declare type Transaction_Aggregate_Fields = {
    __typename?: 'Transaction_aggregate_fields';
    avg: Transaction_Avg_Fields;
    count: Scalars['String'];
    max: Transaction_Max_Fields;
    min: Transaction_Min_Fields;
    sum: Transaction_Sum_Fields;
};
export declare type Transaction_Avg_Fields = {
    __typename?: 'Transaction_avg_fields';
    fee?: Maybe<Scalars['Float']>;
    size?: Maybe<Scalars['Float']>;
    totalOutput?: Maybe<Scalars['Float']>;
};
export declare type Transaction_Bool_Exp = {
    _and?: Maybe<Array<Maybe<Transaction_Bool_Exp>>>;
    _not?: Maybe<Transaction_Bool_Exp>;
    _or?: Maybe<Array<Maybe<Transaction_Bool_Exp>>>;
    block?: Maybe<Block_Bool_Exp>;
    blockIndex?: Maybe<Int_Comparison_Exp>;
    fee?: Maybe<BigInt_Comparison_Exp>;
    hash?: Maybe<Hash32HexString_Comparison_Exp>;
    includedAt?: Maybe<Date_Comparison_Exp>;
    inputs?: Maybe<TransactionInput_Bool_Exp>;
    outputs?: Maybe<TransactionOutput_Bool_Exp>;
    size?: Maybe<BigInt_Comparison_Exp>;
    totalOutput?: Maybe<Text_Comparison_Exp>;
};
export declare type Transaction_Max_Fields = {
    __typename?: 'Transaction_max_fields';
    fee?: Maybe<Scalars['String']>;
    size?: Maybe<Scalars['String']>;
    totalOutput?: Maybe<Scalars['String']>;
};
export declare type Transaction_Min_Fields = {
    __typename?: 'Transaction_min_fields';
    fee?: Maybe<Scalars['String']>;
    size?: Maybe<Scalars['String']>;
    totalOutput?: Maybe<Scalars['String']>;
};
export declare type Transaction_Order_By = {
    block?: Maybe<Order_By>;
    blockIndex?: Maybe<Order_By>;
    fee?: Maybe<Order_By>;
    includedAt?: Maybe<Order_By>;
    size?: Maybe<Order_By>;
    totalOutput?: Maybe<Order_By>;
};
export declare type Transaction_Sum_Fields = {
    __typename?: 'Transaction_sum_fields';
    fee?: Maybe<Scalars['String']>;
    size?: Maybe<Scalars['String']>;
    totalOutput?: Maybe<Scalars['String']>;
};
export declare type TransactionInput = {
    __typename?: 'TransactionInput';
    address: Scalars['String'];
    sourceTransaction: Transaction;
    sourceTxHash: Scalars['Hash32HexString'];
    sourceTxIndex: Scalars['Int'];
    transaction: Transaction;
    txHash: Scalars['Hash32HexString'];
    value: Scalars['String'];
};
export declare type TransactionInput_Aggregate = {
    __typename?: 'TransactionInput_aggregate';
    aggregate?: Maybe<TransactionInput_Aggregate_Fields>;
};
export declare type TransactionInput_Aggregate_Fields = {
    __typename?: 'TransactionInput_aggregate_fields';
    avg: TransactionInput_Avg_Fields;
    count: Scalars['String'];
    max: TransactionInput_Max_Fields;
    min: TransactionInput_Min_Fields;
    sum: TransactionInput_Sum_Fields;
};
export declare type TransactionInput_Avg_Fields = {
    __typename?: 'TransactionInput_avg_fields';
    value?: Maybe<Scalars['String']>;
};
export declare type TransactionInput_Bool_Exp = {
    _and?: Maybe<Array<Maybe<TransactionInput_Bool_Exp>>>;
    _not?: Maybe<TransactionInput_Bool_Exp>;
    _or?: Maybe<Array<Maybe<TransactionInput_Bool_Exp>>>;
    address?: Maybe<Text_Comparison_Exp>;
    sourceTransaction?: Maybe<Transaction_Bool_Exp>;
    transaction?: Maybe<Transaction_Bool_Exp>;
    value?: Maybe<Text_Comparison_Exp>;
};
export declare type TransactionInput_Max_Fields = {
    __typename?: 'TransactionInput_max_fields';
    value?: Maybe<Scalars['String']>;
};
export declare type TransactionInput_Min_Fields = {
    __typename?: 'TransactionInput_min_fields';
    value?: Maybe<Scalars['String']>;
};
export declare type TransactionInput_Order_By = {
    address?: Maybe<Order_By>;
    sourceTxHash?: Maybe<Order_By>;
    txHash?: Maybe<Order_By>;
    value?: Maybe<Order_By>;
};
export declare type TransactionInput_Sum_Fields = {
    __typename?: 'TransactionInput_sum_fields';
    value?: Maybe<Scalars['String']>;
};
export declare type TransactionOutput = {
    __typename?: 'TransactionOutput';
    address: Scalars['String'];
    index: Scalars['Int'];
    transaction: Transaction;
    txHash: Scalars['Hash32HexString'];
    value: Scalars['String'];
};
export declare type TransactionOutput_Aggregate = {
    __typename?: 'TransactionOutput_aggregate';
    aggregate?: Maybe<TransactionOutput_Aggregate_Fields>;
};
export declare type TransactionOutput_Aggregate_Fields = {
    __typename?: 'TransactionOutput_aggregate_fields';
    avg: TransactionOutput_Avg_Fields;
    count: Scalars['String'];
    max: TransactionOutput_Max_Fields;
    min: TransactionOutput_Min_Fields;
    sum: TransactionOutput_Sum_Fields;
};
export declare type TransactionOutput_Avg_Fields = {
    __typename?: 'TransactionOutput_avg_fields';
    value?: Maybe<Scalars['String']>;
};
export declare type TransactionOutput_Bool_Exp = {
    _and?: Maybe<Array<Maybe<TransactionOutput_Bool_Exp>>>;
    _not?: Maybe<TransactionOutput_Bool_Exp>;
    _or?: Maybe<Array<Maybe<TransactionOutput_Bool_Exp>>>;
    address?: Maybe<Text_Comparison_Exp>;
    transaction?: Maybe<Transaction_Bool_Exp>;
    value?: Maybe<Text_Comparison_Exp>;
};
export declare enum TransactionOutput_Distinct_On {
    Address = "address"
}
export declare type TransactionOutput_Max_Fields = {
    __typename?: 'TransactionOutput_max_fields';
    value?: Maybe<Scalars['String']>;
};
export declare type TransactionOutput_Min_Fields = {
    __typename?: 'TransactionOutput_min_fields';
    value?: Maybe<Scalars['String']>;
};
export declare type TransactionOutput_Order_By = {
    address?: Maybe<Order_By>;
    index?: Maybe<Order_By>;
    txHash?: Maybe<Order_By>;
    value?: Maybe<Order_By>;
};
export declare type TransactionOutput_Sum_Fields = {
    __typename?: 'TransactionOutput_sum_fields';
    value?: Maybe<Scalars['String']>;
};
export declare type Withdrawal = {
    __typename?: 'Withdrawal';
    address: Scalars['String'];
    amount: Scalars['String'];
    transaction: Transaction;
};
export declare type Withdrawal_Aggregate = {
    __typename?: 'Withdrawal_aggregate';
    aggregate: Withdrawal_Aggregate_Fields;
};
export declare type Withdrawal_Aggregate_Fields = {
    __typename?: 'Withdrawal_aggregate_fields';
    count: Scalars['String'];
    max: Withdrawal_Max_Fields;
    min: Withdrawal_Min_Fields;
    sum: Withdrawal_Sum_Fields;
};
export declare type Withdrawal_Bool_Exp = {
    _and?: Maybe<Array<Maybe<Withdrawal_Bool_Exp>>>;
    _not?: Maybe<Withdrawal_Bool_Exp>;
    _or?: Maybe<Array<Maybe<Withdrawal_Bool_Exp>>>;
    address?: Maybe<Text_Comparison_Exp>;
    amount?: Maybe<Text_Comparison_Exp>;
    transaction?: Maybe<Transaction_Bool_Exp>;
};
export declare type Withdrawal_Max_Fields = {
    __typename?: 'Withdrawal_max_fields';
    amount: Scalars['String'];
};
export declare type Withdrawal_Min_Fields = {
    __typename?: 'Withdrawal_min_fields';
    amount: Scalars['String'];
};
export declare type Withdrawal_Order_By = {
    address?: Maybe<Order_By>;
    amount?: Maybe<Order_By>;
    transaction?: Maybe<Transaction_Order_By>;
};
export declare type Withdrawal_Sum_Fields = {
    __typename?: 'Withdrawal_sum_fields';
    amount: Scalars['String'];
};
export declare type WithIndex<TObject> = TObject & Record<string, any>;
export declare type ResolversObject<TObject> = WithIndex<TObject>;
export declare type ResolverTypeWrapper<T> = Promise<T> | T;
export declare type LegacyStitchingResolver<TResult, TParent, TContext, TArgs> = {
    fragment: string;
    resolve: ResolverFn<TResult, TParent, TContext, TArgs>;
};
export declare type NewStitchingResolver<TResult, TParent, TContext, TArgs> = {
    selectionSet: string;
    resolve: ResolverFn<TResult, TParent, TContext, TArgs>;
};
export declare type StitchingResolver<TResult, TParent, TContext, TArgs> = LegacyStitchingResolver<TResult, TParent, TContext, TArgs> | NewStitchingResolver<TResult, TParent, TContext, TArgs>;
export declare type Resolver<TResult, TParent = {}, TContext = {}, TArgs = {}> = ResolverFn<TResult, TParent, TContext, TArgs> | StitchingResolver<TResult, TParent, TContext, TArgs>;
export declare type ResolverFn<TResult, TParent, TContext, TArgs> = (parent: TParent, args: TArgs, context: TContext, info: GraphQLResolveInfo) => Promise<TResult> | TResult;
export declare type SubscriptionSubscribeFn<TResult, TParent, TContext, TArgs> = (parent: TParent, args: TArgs, context: TContext, info: GraphQLResolveInfo) => AsyncIterator<TResult> | Promise<AsyncIterator<TResult>>;
export declare type SubscriptionResolveFn<TResult, TParent, TContext, TArgs> = (parent: TParent, args: TArgs, context: TContext, info: GraphQLResolveInfo) => TResult | Promise<TResult>;
export interface SubscriptionSubscriberObject<TResult, TKey extends string, TParent, TContext, TArgs> {
    subscribe: SubscriptionSubscribeFn<{
        [key in TKey]: TResult;
    }, TParent, TContext, TArgs>;
    resolve?: SubscriptionResolveFn<TResult, {
        [key in TKey]: TResult;
    }, TContext, TArgs>;
}
export interface SubscriptionResolverObject<TResult, TParent, TContext, TArgs> {
    subscribe: SubscriptionSubscribeFn<any, TParent, TContext, TArgs>;
    resolve: SubscriptionResolveFn<TResult, any, TContext, TArgs>;
}
export declare type SubscriptionObject<TResult, TKey extends string, TParent, TContext, TArgs> = SubscriptionSubscriberObject<TResult, TKey, TParent, TContext, TArgs> | SubscriptionResolverObject<TResult, TParent, TContext, TArgs>;
export declare type SubscriptionResolver<TResult, TKey extends string, TParent = {}, TContext = {}, TArgs = {}> = ((...args: any[]) => SubscriptionObject<TResult, TKey, TParent, TContext, TArgs>) | SubscriptionObject<TResult, TKey, TParent, TContext, TArgs>;
export declare type TypeResolveFn<TTypes, TParent = {}, TContext = {}> = (parent: TParent, context: TContext, info: GraphQLResolveInfo) => Maybe<TTypes> | Promise<Maybe<TTypes>>;
export declare type IsTypeOfResolverFn<T = {}> = (obj: T, info: GraphQLResolveInfo) => boolean | Promise<boolean>;
export declare type NextResolverFn<T> = () => Promise<T>;
export declare type DirectiveResolverFn<TResult = {}, TParent = {}, TContext = {}, TArgs = {}> = (next: NextResolverFn<TResult>, parent: TParent, args: TArgs, context: TContext, info: GraphQLResolveInfo) => TResult | Promise<TResult>;
export declare type ResolversTypes = ResolversObject<{
    Query: ResolverTypeWrapper<{}>;
    Int: ResolverTypeWrapper<Scalars['Int']>;
    Block_order_by: Block_Order_By;
    order_by: Order_By;
    Epoch_order_by: Epoch_Order_By;
    order_by_with_nulls: Order_By_With_Nulls;
    Block_bool_exp: Block_Bool_Exp;
    Date_comparison_exp: Date_Comparison_Exp;
    DateTime: ResolverTypeWrapper<Scalars['DateTime']>;
    SlotLeader_bool_exp: SlotLeader_Bool_Exp;
    text_comparison_exp: Text_Comparison_Exp;
    String: ResolverTypeWrapper<Scalars['String']>;
    Boolean: ResolverTypeWrapper<Scalars['Boolean']>;
    Hash32HexString_comparison_exp: Hash32HexString_Comparison_Exp;
    Hash32HexString: ResolverTypeWrapper<Scalars['Hash32HexString']>;
    StakePool_bool_exp: StakePool_Bool_Exp;
    Float_comparison_exp: Float_Comparison_Exp;
    Float: ResolverTypeWrapper<Scalars['Float']>;
    StakePoolOwner_bool_exp: StakePoolOwner_Bool_Exp;
    Transaction_bool_exp: Transaction_Bool_Exp;
    Int_comparison_exp: Int_Comparison_Exp;
    BigInt_comparison_exp: BigInt_Comparison_Exp;
    BigInt: ResolverTypeWrapper<Scalars['BigInt']>;
    TransactionInput_bool_exp: TransactionInput_Bool_Exp;
    TransactionOutput_bool_exp: TransactionOutput_Bool_Exp;
    Relay_bool_exp: Relay_Bool_Exp;
    Withdrawal_bool_exp: Withdrawal_Bool_Exp;
    Epoch_bool_exp: Epoch_Bool_Exp;
    Block: ResolverTypeWrapper<Block>;
    Epoch: ResolverTypeWrapper<Epoch>;
    Block_aggregate: ResolverTypeWrapper<Block_Aggregate>;
    Block_aggregate_fields: ResolverTypeWrapper<Block_Aggregate_Fields>;
    Block_avg_fields: ResolverTypeWrapper<Block_Avg_Fields>;
    Block_max_fields: ResolverTypeWrapper<Block_Max_Fields>;
    Block_min_fields: ResolverTypeWrapper<Block_Min_Fields>;
    Block_sum_fields: ResolverTypeWrapper<Block_Sum_Fields>;
    SlotLeader: ResolverTypeWrapper<SlotLeader>;
    StakePool: ResolverTypeWrapper<StakePool>;
    StakePoolOwner: ResolverTypeWrapper<StakePoolOwner>;
    Relay: ResolverTypeWrapper<Relay>;
    IPv4: ResolverTypeWrapper<Scalars['IPv4']>;
    IPv6: ResolverTypeWrapper<Scalars['IPv6']>;
    URL: ResolverTypeWrapper<Scalars['URL']>;
    StakePoolRetirement: ResolverTypeWrapper<StakePoolRetirement>;
    Transaction: ResolverTypeWrapper<Transaction>;
    TransactionInput_order_by: TransactionInput_Order_By;
    TransactionInput: ResolverTypeWrapper<TransactionInput>;
    TransactionInput_aggregate: ResolverTypeWrapper<TransactionInput_Aggregate>;
    TransactionInput_aggregate_fields: ResolverTypeWrapper<TransactionInput_Aggregate_Fields>;
    TransactionInput_avg_fields: ResolverTypeWrapper<TransactionInput_Avg_Fields>;
    TransactionInput_max_fields: ResolverTypeWrapper<TransactionInput_Max_Fields>;
    TransactionInput_min_fields: ResolverTypeWrapper<TransactionInput_Min_Fields>;
    TransactionInput_sum_fields: ResolverTypeWrapper<TransactionInput_Sum_Fields>;
    TransactionOutput_order_by: TransactionOutput_Order_By;
    TransactionOutput: ResolverTypeWrapper<TransactionOutput>;
    TransactionOutput_aggregate: ResolverTypeWrapper<TransactionOutput_Aggregate>;
    TransactionOutput_aggregate_fields: ResolverTypeWrapper<TransactionOutput_Aggregate_Fields>;
    TransactionOutput_avg_fields: ResolverTypeWrapper<TransactionOutput_Avg_Fields>;
    TransactionOutput_max_fields: ResolverTypeWrapper<TransactionOutput_Max_Fields>;
    TransactionOutput_min_fields: ResolverTypeWrapper<TransactionOutput_Min_Fields>;
    TransactionOutput_sum_fields: ResolverTypeWrapper<TransactionOutput_Sum_Fields>;
    Withdrawal: ResolverTypeWrapper<Withdrawal>;
    Transaction_order_by: Transaction_Order_By;
    Transaction_aggregate: ResolverTypeWrapper<Transaction_Aggregate>;
    Transaction_aggregate_fields: ResolverTypeWrapper<Transaction_Aggregate_Fields>;
    Transaction_avg_fields: ResolverTypeWrapper<Transaction_Avg_Fields>;
    Transaction_max_fields: ResolverTypeWrapper<Transaction_Max_Fields>;
    Transaction_min_fields: ResolverTypeWrapper<Transaction_Min_Fields>;
    Transaction_sum_fields: ResolverTypeWrapper<Transaction_Sum_Fields>;
    Cardano: ResolverTypeWrapper<Cardano>;
    CardanoDbMeta: ResolverTypeWrapper<CardanoDbMeta>;
    Percentage: ResolverTypeWrapper<Scalars['Percentage']>;
    Delegation_order_by: Delegation_Order_By;
    StakePool_order_by: StakePool_Order_By;
    Delegation_bool_exp: Delegation_Bool_Exp;
    Delegation: ResolverTypeWrapper<Delegation>;
    Delegation_aggregate: ResolverTypeWrapper<Delegation_Aggregate>;
    Delegation_aggregate_fields: ResolverTypeWrapper<Delegation_Aggregate_Fields>;
    Delegation_avg_fields: ResolverTypeWrapper<Delegation_Avg_Fields>;
    StakePool_avg_fields: ResolverTypeWrapper<StakePool_Avg_Fields>;
    Delegation_max_fields: ResolverTypeWrapper<Delegation_Max_Fields>;
    Delegation_min_fields: ResolverTypeWrapper<Delegation_Min_Fields>;
    Delegation_sum_fields: ResolverTypeWrapper<Delegation_Sum_Fields>;
    Epoch_aggregate: ResolverTypeWrapper<Epoch_Aggregate>;
    Epoch_aggregate_fields: ResolverTypeWrapper<Epoch_Aggregate_Fields>;
    Epoch_max_fields: ResolverTypeWrapper<Epoch_Max_Fields>;
    Epoch_min_fields: ResolverTypeWrapper<Epoch_Min_Fields>;
    Epoch_sum_fields: ResolverTypeWrapper<Epoch_Sum_Fields>;
    StakeRegistration_order_by: StakeRegistration_Order_By;
    StakeRegistration_bool_exp: StakeRegistration_Bool_Exp;
    StakeRegistration: ResolverTypeWrapper<StakeRegistration>;
    StakeRegistration_aggregate: ResolverTypeWrapper<StakeRegistration_Aggregate>;
    StakeRegistration_aggregate_fields: ResolverTypeWrapper<StakeRegistration_Aggregate_Fields>;
    StakeRegistration_avg_fields: ResolverTypeWrapper<StakeRegistration_Avg_Fields>;
    StakeRegistration_max_fields: ResolverTypeWrapper<StakeRegistration_Max_Fields>;
    StakeRegistration_min_fields: ResolverTypeWrapper<StakeRegistration_Min_Fields>;
    StakeRegistration_sum_fields: ResolverTypeWrapper<StakeRegistration_Sum_Fields>;
    StakePool_aggregate: ResolverTypeWrapper<StakePool_Aggregate>;
    StakePool_aggregate_fields: ResolverTypeWrapper<StakePool_Aggregate_Fields>;
    StakePool_max_fields: ResolverTypeWrapper<StakePool_Max_Fields>;
    StakePool_min_fields: ResolverTypeWrapper<StakePool_Min_Fields>;
    StakePool_sum_fields: ResolverTypeWrapper<StakePool_Sum_Fields>;
    TransactionOutput_distinct_on: TransactionOutput_Distinct_On;
    Withdrawal_order_by: Withdrawal_Order_By;
    Withdrawal_aggregate: ResolverTypeWrapper<Withdrawal_Aggregate>;
    Withdrawal_aggregate_fields: ResolverTypeWrapper<Withdrawal_Aggregate_Fields>;
    Withdrawal_max_fields: ResolverTypeWrapper<Withdrawal_Max_Fields>;
    Withdrawal_min_fields: ResolverTypeWrapper<Withdrawal_Min_Fields>;
    Withdrawal_sum_fields: ResolverTypeWrapper<Withdrawal_Sum_Fields>;
    StakeDeregistration: ResolverTypeWrapper<StakeDeregistration>;
    StakePoolRetirement_bool_exp: StakePoolRetirement_Bool_Exp;
    Percentage_comparison_exp: Percentage_Comparison_Exp;
}>;
export declare type ResolversParentTypes = ResolversObject<{
    Query: {};
    Int: Scalars['Int'];
    Block_order_by: Block_Order_By;
    Epoch_order_by: Epoch_Order_By;
    Block_bool_exp: Block_Bool_Exp;
    Date_comparison_exp: Date_Comparison_Exp;
    DateTime: Scalars['DateTime'];
    SlotLeader_bool_exp: SlotLeader_Bool_Exp;
    text_comparison_exp: Text_Comparison_Exp;
    String: Scalars['String'];
    Boolean: Scalars['Boolean'];
    Hash32HexString_comparison_exp: Hash32HexString_Comparison_Exp;
    Hash32HexString: Scalars['Hash32HexString'];
    StakePool_bool_exp: StakePool_Bool_Exp;
    Float_comparison_exp: Float_Comparison_Exp;
    Float: Scalars['Float'];
    StakePoolOwner_bool_exp: StakePoolOwner_Bool_Exp;
    Transaction_bool_exp: Transaction_Bool_Exp;
    Int_comparison_exp: Int_Comparison_Exp;
    BigInt_comparison_exp: BigInt_Comparison_Exp;
    BigInt: Scalars['BigInt'];
    TransactionInput_bool_exp: TransactionInput_Bool_Exp;
    TransactionOutput_bool_exp: TransactionOutput_Bool_Exp;
    Relay_bool_exp: Relay_Bool_Exp;
    Withdrawal_bool_exp: Withdrawal_Bool_Exp;
    Epoch_bool_exp: Epoch_Bool_Exp;
    Block: Block;
    Epoch: Epoch;
    Block_aggregate: Block_Aggregate;
    Block_aggregate_fields: Block_Aggregate_Fields;
    Block_avg_fields: Block_Avg_Fields;
    Block_max_fields: Block_Max_Fields;
    Block_min_fields: Block_Min_Fields;
    Block_sum_fields: Block_Sum_Fields;
    SlotLeader: SlotLeader;
    StakePool: StakePool;
    StakePoolOwner: StakePoolOwner;
    Relay: Relay;
    IPv4: Scalars['IPv4'];
    IPv6: Scalars['IPv6'];
    URL: Scalars['URL'];
    StakePoolRetirement: StakePoolRetirement;
    Transaction: Transaction;
    TransactionInput_order_by: TransactionInput_Order_By;
    TransactionInput: TransactionInput;
    TransactionInput_aggregate: TransactionInput_Aggregate;
    TransactionInput_aggregate_fields: TransactionInput_Aggregate_Fields;
    TransactionInput_avg_fields: TransactionInput_Avg_Fields;
    TransactionInput_max_fields: TransactionInput_Max_Fields;
    TransactionInput_min_fields: TransactionInput_Min_Fields;
    TransactionInput_sum_fields: TransactionInput_Sum_Fields;
    TransactionOutput_order_by: TransactionOutput_Order_By;
    TransactionOutput: TransactionOutput;
    TransactionOutput_aggregate: TransactionOutput_Aggregate;
    TransactionOutput_aggregate_fields: TransactionOutput_Aggregate_Fields;
    TransactionOutput_avg_fields: TransactionOutput_Avg_Fields;
    TransactionOutput_max_fields: TransactionOutput_Max_Fields;
    TransactionOutput_min_fields: TransactionOutput_Min_Fields;
    TransactionOutput_sum_fields: TransactionOutput_Sum_Fields;
    Withdrawal: Withdrawal;
    Transaction_order_by: Transaction_Order_By;
    Transaction_aggregate: Transaction_Aggregate;
    Transaction_aggregate_fields: Transaction_Aggregate_Fields;
    Transaction_avg_fields: Transaction_Avg_Fields;
    Transaction_max_fields: Transaction_Max_Fields;
    Transaction_min_fields: Transaction_Min_Fields;
    Transaction_sum_fields: Transaction_Sum_Fields;
    Cardano: Cardano;
    CardanoDbMeta: CardanoDbMeta;
    Percentage: Scalars['Percentage'];
    Delegation_order_by: Delegation_Order_By;
    StakePool_order_by: StakePool_Order_By;
    Delegation_bool_exp: Delegation_Bool_Exp;
    Delegation: Delegation;
    Delegation_aggregate: Delegation_Aggregate;
    Delegation_aggregate_fields: Delegation_Aggregate_Fields;
    Delegation_avg_fields: Delegation_Avg_Fields;
    StakePool_avg_fields: StakePool_Avg_Fields;
    Delegation_max_fields: Delegation_Max_Fields;
    Delegation_min_fields: Delegation_Min_Fields;
    Delegation_sum_fields: Delegation_Sum_Fields;
    Epoch_aggregate: Epoch_Aggregate;
    Epoch_aggregate_fields: Epoch_Aggregate_Fields;
    Epoch_max_fields: Epoch_Max_Fields;
    Epoch_min_fields: Epoch_Min_Fields;
    Epoch_sum_fields: Epoch_Sum_Fields;
    StakeRegistration_order_by: StakeRegistration_Order_By;
    StakeRegistration_bool_exp: StakeRegistration_Bool_Exp;
    StakeRegistration: StakeRegistration;
    StakeRegistration_aggregate: StakeRegistration_Aggregate;
    StakeRegistration_aggregate_fields: StakeRegistration_Aggregate_Fields;
    StakeRegistration_avg_fields: StakeRegistration_Avg_Fields;
    StakeRegistration_max_fields: StakeRegistration_Max_Fields;
    StakeRegistration_min_fields: StakeRegistration_Min_Fields;
    StakeRegistration_sum_fields: StakeRegistration_Sum_Fields;
    StakePool_aggregate: StakePool_Aggregate;
    StakePool_aggregate_fields: StakePool_Aggregate_Fields;
    StakePool_max_fields: StakePool_Max_Fields;
    StakePool_min_fields: StakePool_Min_Fields;
    StakePool_sum_fields: StakePool_Sum_Fields;
    Withdrawal_order_by: Withdrawal_Order_By;
    Withdrawal_aggregate: Withdrawal_Aggregate;
    Withdrawal_aggregate_fields: Withdrawal_Aggregate_Fields;
    Withdrawal_max_fields: Withdrawal_Max_Fields;
    Withdrawal_min_fields: Withdrawal_Min_Fields;
    Withdrawal_sum_fields: Withdrawal_Sum_Fields;
    StakeDeregistration: StakeDeregistration;
    StakePoolRetirement_bool_exp: StakePoolRetirement_Bool_Exp;
    Percentage_comparison_exp: Percentage_Comparison_Exp;
}>;
export interface BigIntScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['BigInt'], any> {
    name: 'BigInt';
}
export declare type BlockResolvers<ContextType = any, ParentType extends ResolversParentTypes['Block'] = ResolversParentTypes['Block']> = ResolversObject<{
    epoch?: Resolver<Maybe<ResolversTypes['Epoch']>, ParentType, ContextType>;
    epochNo?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    fees?: Resolver<ResolversTypes['BigInt'], ParentType, ContextType>;
    forgedAt?: Resolver<ResolversTypes['DateTime'], ParentType, ContextType>;
    slotLeader?: Resolver<ResolversTypes['SlotLeader'], ParentType, ContextType>;
    hash?: Resolver<ResolversTypes['Hash32HexString'], ParentType, ContextType>;
    merkelRoot?: Resolver<Maybe<ResolversTypes['Hash32HexString']>, ParentType, ContextType>;
    number?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    opCert?: Resolver<Maybe<ResolversTypes['Hash32HexString']>, ParentType, ContextType>;
    slotNo?: Resolver<Maybe<ResolversTypes['Int']>, ParentType, ContextType>;
    previousBlock?: Resolver<Maybe<ResolversTypes['Block']>, ParentType, ContextType>;
    protocolVersion?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    nextBlock?: Resolver<Maybe<ResolversTypes['Block']>, ParentType, ContextType>;
    size?: Resolver<ResolversTypes['BigInt'], ParentType, ContextType>;
    transactions?: Resolver<Array<Maybe<ResolversTypes['Transaction']>>, ParentType, ContextType, RequireFields<BlockTransactionsArgs, never>>;
    transactions_aggregate?: Resolver<ResolversTypes['Transaction_aggregate'], ParentType, ContextType, RequireFields<BlockTransactions_AggregateArgs, never>>;
    transactionsCount?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    vrfKey?: Resolver<Maybe<ResolversTypes['Hash32HexString']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Block_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['Block_aggregate'] = ResolversParentTypes['Block_aggregate']> = ResolversObject<{
    aggregate?: Resolver<Maybe<ResolversTypes['Block_aggregate_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Block_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Block_aggregate_fields'] = ResolversParentTypes['Block_aggregate_fields']> = ResolversObject<{
    avg?: Resolver<ResolversTypes['Block_avg_fields'], ParentType, ContextType>;
    count?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    max?: Resolver<ResolversTypes['Block_max_fields'], ParentType, ContextType>;
    min?: Resolver<ResolversTypes['Block_min_fields'], ParentType, ContextType>;
    sum?: Resolver<ResolversTypes['Block_sum_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Block_Avg_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Block_avg_fields'] = ResolversParentTypes['Block_avg_fields']> = ResolversObject<{
    fees?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    size?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Block_Max_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Block_max_fields'] = ResolversParentTypes['Block_max_fields']> = ResolversObject<{
    fees?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    size?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Block_Min_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Block_min_fields'] = ResolversParentTypes['Block_min_fields']> = ResolversObject<{
    fees?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    size?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Block_Sum_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Block_sum_fields'] = ResolversParentTypes['Block_sum_fields']> = ResolversObject<{
    fees?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    size?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type CardanoResolvers<ContextType = any, ParentType extends ResolversParentTypes['Cardano'] = ResolversParentTypes['Cardano']> = ResolversObject<{
    tip?: Resolver<ResolversTypes['Block'], ParentType, ContextType>;
    currentEpoch?: Resolver<ResolversTypes['Epoch'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type CardanoDbMetaResolvers<ContextType = any, ParentType extends ResolversParentTypes['CardanoDbMeta'] = ResolversParentTypes['CardanoDbMeta']> = ResolversObject<{
    initialized?: Resolver<ResolversTypes['Boolean'], ParentType, ContextType>;
    syncPercentage?: Resolver<ResolversTypes['Percentage'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export interface DateTimeScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['DateTime'], any> {
    name: 'DateTime';
}
export declare type DelegationResolvers<ContextType = any, ParentType extends ResolversParentTypes['Delegation'] = ResolversParentTypes['Delegation']> = ResolversObject<{
    address?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    stakePool?: Resolver<ResolversTypes['StakePool'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Delegation_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['Delegation_aggregate'] = ResolversParentTypes['Delegation_aggregate']> = ResolversObject<{
    aggregate?: Resolver<Maybe<ResolversTypes['Delegation_aggregate_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Delegation_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Delegation_aggregate_fields'] = ResolversParentTypes['Delegation_aggregate_fields']> = ResolversObject<{
    avg?: Resolver<ResolversTypes['Delegation_avg_fields'], ParentType, ContextType>;
    count?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    max?: Resolver<ResolversTypes['Delegation_max_fields'], ParentType, ContextType>;
    min?: Resolver<ResolversTypes['Delegation_min_fields'], ParentType, ContextType>;
    sum?: Resolver<ResolversTypes['Delegation_sum_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Delegation_Avg_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Delegation_avg_fields'] = ResolversParentTypes['Delegation_avg_fields']> = ResolversObject<{
    stakePool?: Resolver<Maybe<ResolversTypes['StakePool_avg_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Delegation_Max_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Delegation_max_fields'] = ResolversParentTypes['Delegation_max_fields']> = ResolversObject<{
    stakePool?: Resolver<Maybe<ResolversTypes['StakePool_avg_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Delegation_Min_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Delegation_min_fields'] = ResolversParentTypes['Delegation_min_fields']> = ResolversObject<{
    stakePool?: Resolver<Maybe<ResolversTypes['StakePool_avg_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Delegation_Sum_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Delegation_sum_fields'] = ResolversParentTypes['Delegation_sum_fields']> = ResolversObject<{
    stakePool?: Resolver<Maybe<ResolversTypes['StakePool_avg_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type EpochResolvers<ContextType = any, ParentType extends ResolversParentTypes['Epoch'] = ResolversParentTypes['Epoch']> = ResolversObject<{
    blocks?: Resolver<Array<ResolversTypes['Block']>, ParentType, ContextType, RequireFields<EpochBlocksArgs, never>>;
    blocks_aggregate?: Resolver<ResolversTypes['Block_aggregate'], ParentType, ContextType, RequireFields<EpochBlocks_AggregateArgs, never>>;
    blocksCount?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    output?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    number?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    transactionsCount?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    startedAt?: Resolver<ResolversTypes['DateTime'], ParentType, ContextType>;
    lastBlockTime?: Resolver<ResolversTypes['DateTime'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Epoch_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['Epoch_aggregate'] = ResolversParentTypes['Epoch_aggregate']> = ResolversObject<{
    aggregate?: Resolver<ResolversTypes['Epoch_aggregate_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Epoch_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Epoch_aggregate_fields'] = ResolversParentTypes['Epoch_aggregate_fields']> = ResolversObject<{
    count?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    max?: Resolver<ResolversTypes['Epoch_max_fields'], ParentType, ContextType>;
    min?: Resolver<ResolversTypes['Epoch_min_fields'], ParentType, ContextType>;
    sum?: Resolver<ResolversTypes['Epoch_sum_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Epoch_Max_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Epoch_max_fields'] = ResolversParentTypes['Epoch_max_fields']> = ResolversObject<{
    blocksCount?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    number?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    output?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    transactionsCount?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Epoch_Min_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Epoch_min_fields'] = ResolversParentTypes['Epoch_min_fields']> = ResolversObject<{
    blocksCount?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    output?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    transactionsCount?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Epoch_Sum_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Epoch_sum_fields'] = ResolversParentTypes['Epoch_sum_fields']> = ResolversObject<{
    blocksCount?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    output?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    transactionsCount?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export interface Hash32HexStringScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['Hash32HexString'], any> {
    name: 'Hash32HexString';
}
export interface IPv4ScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['IPv4'], any> {
    name: 'IPv4';
}
export interface IPv6ScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['IPv6'], any> {
    name: 'IPv6';
}
export interface PercentageScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['Percentage'], any> {
    name: 'Percentage';
}
export declare type QueryResolvers<ContextType = any, ParentType extends ResolversParentTypes['Query'] = ResolversParentTypes['Query']> = ResolversObject<{
    blocks?: Resolver<Array<Maybe<ResolversTypes['Block']>>, ParentType, ContextType, RequireFields<QueryBlocksArgs, never>>;
    blocks_aggregate?: Resolver<ResolversTypes['Block_aggregate'], ParentType, ContextType, RequireFields<QueryBlocks_AggregateArgs, never>>;
    cardano?: Resolver<ResolversTypes['Cardano'], ParentType, ContextType>;
    cardanoDbMeta?: Resolver<ResolversTypes['CardanoDbMeta'], ParentType, ContextType>;
    delegations?: Resolver<Array<Maybe<ResolversTypes['Delegation']>>, ParentType, ContextType, RequireFields<QueryDelegationsArgs, never>>;
    delegations_aggregate?: Resolver<ResolversTypes['Delegation_aggregate'], ParentType, ContextType, RequireFields<QueryDelegations_AggregateArgs, never>>;
    epochs?: Resolver<Array<Maybe<ResolversTypes['Epoch']>>, ParentType, ContextType, RequireFields<QueryEpochsArgs, never>>;
    epochs_aggregate?: Resolver<ResolversTypes['Epoch_aggregate'], ParentType, ContextType, RequireFields<QueryEpochs_AggregateArgs, never>>;
    stakeDeregistrations?: Resolver<Array<Maybe<ResolversTypes['StakeRegistration']>>, ParentType, ContextType, RequireFields<QueryStakeDeregistrationsArgs, never>>;
    stakeDeregistrations_aggregate?: Resolver<ResolversTypes['StakeRegistration_aggregate'], ParentType, ContextType, RequireFields<QueryStakeDeregistrations_AggregateArgs, never>>;
    stakePools?: Resolver<Array<Maybe<ResolversTypes['StakePool']>>, ParentType, ContextType, RequireFields<QueryStakePoolsArgs, never>>;
    stakePools_aggregate?: Resolver<ResolversTypes['StakePool_aggregate'], ParentType, ContextType, RequireFields<QueryStakePools_AggregateArgs, never>>;
    stakeRegistrations?: Resolver<Array<Maybe<ResolversTypes['StakeRegistration']>>, ParentType, ContextType, RequireFields<QueryStakeRegistrationsArgs, never>>;
    stakeRegistrations_aggregate?: Resolver<ResolversTypes['StakeRegistration_aggregate'], ParentType, ContextType, RequireFields<QueryStakeRegistrations_AggregateArgs, never>>;
    transactions?: Resolver<Array<Maybe<ResolversTypes['Transaction']>>, ParentType, ContextType, RequireFields<QueryTransactionsArgs, never>>;
    transactions_aggregate?: Resolver<ResolversTypes['Transaction_aggregate'], ParentType, ContextType, RequireFields<QueryTransactions_AggregateArgs, never>>;
    utxos?: Resolver<Array<Maybe<ResolversTypes['TransactionOutput']>>, ParentType, ContextType, RequireFields<QueryUtxosArgs, never>>;
    utxos_aggregate?: Resolver<ResolversTypes['TransactionOutput_aggregate'], ParentType, ContextType, RequireFields<QueryUtxos_AggregateArgs, never>>;
    withdrawals?: Resolver<Array<Maybe<ResolversTypes['Withdrawal']>>, ParentType, ContextType, RequireFields<QueryWithdrawalsArgs, never>>;
    withdrawals_aggregate?: Resolver<ResolversTypes['Withdrawal_aggregate'], ParentType, ContextType, RequireFields<QueryWithdrawals_AggregateArgs, never>>;
}>;
export declare type RelayResolvers<ContextType = any, ParentType extends ResolversParentTypes['Relay'] = ResolversParentTypes['Relay']> = ResolversObject<{
    ipv4?: Resolver<Maybe<ResolversTypes['IPv4']>, ParentType, ContextType>;
    ipv6?: Resolver<Maybe<ResolversTypes['IPv6']>, ParentType, ContextType>;
    dnsName?: Resolver<Maybe<ResolversTypes['URL']>, ParentType, ContextType>;
    dnsSrvName?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type SlotLeaderResolvers<ContextType = any, ParentType extends ResolversParentTypes['SlotLeader'] = ResolversParentTypes['SlotLeader']> = ResolversObject<{
    description?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    hash?: Resolver<ResolversTypes['Hash32HexString'], ParentType, ContextType>;
    stakePool?: Resolver<Maybe<ResolversTypes['StakePool']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakeDeregistrationResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakeDeregistration'] = ResolversParentTypes['StakeDeregistration']> = ResolversObject<{
    address?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    transaction?: Resolver<ResolversTypes['Transaction'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakePoolResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakePool'] = ResolversParentTypes['StakePool']> = ResolversObject<{
    fixedCost?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    hash?: Resolver<ResolversTypes['Hash32HexString'], ParentType, ContextType>;
    margin?: Resolver<ResolversTypes['Float'], ParentType, ContextType>;
    metadataHash?: Resolver<Maybe<ResolversTypes['Hash32HexString']>, ParentType, ContextType>;
    owners?: Resolver<Array<ResolversTypes['StakePoolOwner']>, ParentType, ContextType>;
    pledge?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    relays?: Resolver<Maybe<Array<Maybe<ResolversTypes['Relay']>>>, ParentType, ContextType>;
    retirement?: Resolver<Maybe<ResolversTypes['StakePoolRetirement']>, ParentType, ContextType>;
    rewardAddress?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    updatedIn?: Resolver<ResolversTypes['Transaction'], ParentType, ContextType>;
    url?: Resolver<Maybe<ResolversTypes['URL']>, ParentType, ContextType>;
    withdrawals?: Resolver<Array<Maybe<ResolversTypes['Withdrawal']>>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakePool_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakePool_aggregate'] = ResolversParentTypes['StakePool_aggregate']> = ResolversObject<{
    aggregate?: Resolver<Maybe<ResolversTypes['StakePool_aggregate_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakePool_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakePool_aggregate_fields'] = ResolversParentTypes['StakePool_aggregate_fields']> = ResolversObject<{
    avg?: Resolver<ResolversTypes['StakePool_avg_fields'], ParentType, ContextType>;
    count?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    max?: Resolver<ResolversTypes['StakePool_max_fields'], ParentType, ContextType>;
    min?: Resolver<ResolversTypes['StakePool_min_fields'], ParentType, ContextType>;
    sum?: Resolver<ResolversTypes['StakePool_sum_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakePool_Avg_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakePool_avg_fields'] = ResolversParentTypes['StakePool_avg_fields']> = ResolversObject<{
    fixedCost?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    margin?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    pledge?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakePool_Max_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakePool_max_fields'] = ResolversParentTypes['StakePool_max_fields']> = ResolversObject<{
    fixedCost?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    margin?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    pledge?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakePool_Min_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakePool_min_fields'] = ResolversParentTypes['StakePool_min_fields']> = ResolversObject<{
    fixedCost?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    margin?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    pledge?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakePool_Sum_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakePool_sum_fields'] = ResolversParentTypes['StakePool_sum_fields']> = ResolversObject<{
    fixedCost?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    margin?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    pledge?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakePoolOwnerResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakePoolOwner'] = ResolversParentTypes['StakePoolOwner']> = ResolversObject<{
    hash?: Resolver<ResolversTypes['Hash32HexString'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakePoolRetirementResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakePoolRetirement'] = ResolversParentTypes['StakePoolRetirement']> = ResolversObject<{
    announcedIn?: Resolver<ResolversTypes['Transaction'], ParentType, ContextType>;
    inEffectFrom?: Resolver<ResolversTypes['Epoch'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakeRegistrationResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakeRegistration'] = ResolversParentTypes['StakeRegistration']> = ResolversObject<{
    address?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    transaction?: Resolver<ResolversTypes['Transaction'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakeRegistration_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakeRegistration_aggregate'] = ResolversParentTypes['StakeRegistration_aggregate']> = ResolversObject<{
    aggregate?: Resolver<Maybe<ResolversTypes['StakeRegistration_aggregate_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakeRegistration_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakeRegistration_aggregate_fields'] = ResolversParentTypes['StakeRegistration_aggregate_fields']> = ResolversObject<{
    avg?: Resolver<ResolversTypes['StakeRegistration_avg_fields'], ParentType, ContextType>;
    count?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    max?: Resolver<ResolversTypes['StakeRegistration_max_fields'], ParentType, ContextType>;
    min?: Resolver<ResolversTypes['StakeRegistration_min_fields'], ParentType, ContextType>;
    sum?: Resolver<ResolversTypes['StakeRegistration_sum_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakeRegistration_Avg_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakeRegistration_avg_fields'] = ResolversParentTypes['StakeRegistration_avg_fields']> = ResolversObject<{
    transaction?: Resolver<Maybe<ResolversTypes['Transaction_avg_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakeRegistration_Max_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakeRegistration_max_fields'] = ResolversParentTypes['StakeRegistration_max_fields']> = ResolversObject<{
    transaction?: Resolver<Maybe<ResolversTypes['Transaction_max_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakeRegistration_Min_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakeRegistration_min_fields'] = ResolversParentTypes['StakeRegistration_min_fields']> = ResolversObject<{
    transaction?: Resolver<Maybe<ResolversTypes['Transaction_min_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type StakeRegistration_Sum_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['StakeRegistration_sum_fields'] = ResolversParentTypes['StakeRegistration_sum_fields']> = ResolversObject<{
    transaction?: Resolver<Maybe<ResolversTypes['Transaction_sum_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionResolvers<ContextType = any, ParentType extends ResolversParentTypes['Transaction'] = ResolversParentTypes['Transaction']> = ResolversObject<{
    block?: Resolver<Maybe<ResolversTypes['Block']>, ParentType, ContextType>;
    blockIndex?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    fee?: Resolver<ResolversTypes['BigInt'], ParentType, ContextType>;
    hash?: Resolver<ResolversTypes['Hash32HexString'], ParentType, ContextType>;
    inputs?: Resolver<Array<ResolversTypes['TransactionInput']>, ParentType, ContextType, RequireFields<TransactionInputsArgs, never>>;
    inputs_aggregate?: Resolver<Maybe<ResolversTypes['TransactionInput_aggregate']>, ParentType, ContextType, RequireFields<TransactionInputs_AggregateArgs, never>>;
    outputs?: Resolver<Array<ResolversTypes['TransactionOutput']>, ParentType, ContextType, RequireFields<TransactionOutputsArgs, never>>;
    outputs_aggregate?: Resolver<Maybe<ResolversTypes['TransactionOutput_aggregate']>, ParentType, ContextType, RequireFields<TransactionOutputs_AggregateArgs, never>>;
    size?: Resolver<ResolversTypes['BigInt'], ParentType, ContextType>;
    totalOutput?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    includedAt?: Resolver<ResolversTypes['DateTime'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Transaction_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['Transaction_aggregate'] = ResolversParentTypes['Transaction_aggregate']> = ResolversObject<{
    aggregate?: Resolver<Maybe<ResolversTypes['Transaction_aggregate_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Transaction_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Transaction_aggregate_fields'] = ResolversParentTypes['Transaction_aggregate_fields']> = ResolversObject<{
    avg?: Resolver<ResolversTypes['Transaction_avg_fields'], ParentType, ContextType>;
    count?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    max?: Resolver<ResolversTypes['Transaction_max_fields'], ParentType, ContextType>;
    min?: Resolver<ResolversTypes['Transaction_min_fields'], ParentType, ContextType>;
    sum?: Resolver<ResolversTypes['Transaction_sum_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Transaction_Avg_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Transaction_avg_fields'] = ResolversParentTypes['Transaction_avg_fields']> = ResolversObject<{
    fee?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    size?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    totalOutput?: Resolver<Maybe<ResolversTypes['Float']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Transaction_Max_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Transaction_max_fields'] = ResolversParentTypes['Transaction_max_fields']> = ResolversObject<{
    fee?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    size?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    totalOutput?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Transaction_Min_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Transaction_min_fields'] = ResolversParentTypes['Transaction_min_fields']> = ResolversObject<{
    fee?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    size?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    totalOutput?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Transaction_Sum_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Transaction_sum_fields'] = ResolversParentTypes['Transaction_sum_fields']> = ResolversObject<{
    fee?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    size?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    totalOutput?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionInputResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionInput'] = ResolversParentTypes['TransactionInput']> = ResolversObject<{
    address?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    sourceTransaction?: Resolver<ResolversTypes['Transaction'], ParentType, ContextType>;
    sourceTxHash?: Resolver<ResolversTypes['Hash32HexString'], ParentType, ContextType>;
    sourceTxIndex?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    transaction?: Resolver<ResolversTypes['Transaction'], ParentType, ContextType>;
    txHash?: Resolver<ResolversTypes['Hash32HexString'], ParentType, ContextType>;
    value?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionInput_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionInput_aggregate'] = ResolversParentTypes['TransactionInput_aggregate']> = ResolversObject<{
    aggregate?: Resolver<Maybe<ResolversTypes['TransactionInput_aggregate_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionInput_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionInput_aggregate_fields'] = ResolversParentTypes['TransactionInput_aggregate_fields']> = ResolversObject<{
    avg?: Resolver<ResolversTypes['TransactionInput_avg_fields'], ParentType, ContextType>;
    count?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    max?: Resolver<ResolversTypes['TransactionInput_max_fields'], ParentType, ContextType>;
    min?: Resolver<ResolversTypes['TransactionInput_min_fields'], ParentType, ContextType>;
    sum?: Resolver<ResolversTypes['TransactionInput_sum_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionInput_Avg_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionInput_avg_fields'] = ResolversParentTypes['TransactionInput_avg_fields']> = ResolversObject<{
    value?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionInput_Max_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionInput_max_fields'] = ResolversParentTypes['TransactionInput_max_fields']> = ResolversObject<{
    value?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionInput_Min_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionInput_min_fields'] = ResolversParentTypes['TransactionInput_min_fields']> = ResolversObject<{
    value?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionInput_Sum_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionInput_sum_fields'] = ResolversParentTypes['TransactionInput_sum_fields']> = ResolversObject<{
    value?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionOutputResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionOutput'] = ResolversParentTypes['TransactionOutput']> = ResolversObject<{
    address?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    index?: Resolver<ResolversTypes['Int'], ParentType, ContextType>;
    transaction?: Resolver<ResolversTypes['Transaction'], ParentType, ContextType>;
    txHash?: Resolver<ResolversTypes['Hash32HexString'], ParentType, ContextType>;
    value?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionOutput_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionOutput_aggregate'] = ResolversParentTypes['TransactionOutput_aggregate']> = ResolversObject<{
    aggregate?: Resolver<Maybe<ResolversTypes['TransactionOutput_aggregate_fields']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionOutput_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionOutput_aggregate_fields'] = ResolversParentTypes['TransactionOutput_aggregate_fields']> = ResolversObject<{
    avg?: Resolver<ResolversTypes['TransactionOutput_avg_fields'], ParentType, ContextType>;
    count?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    max?: Resolver<ResolversTypes['TransactionOutput_max_fields'], ParentType, ContextType>;
    min?: Resolver<ResolversTypes['TransactionOutput_min_fields'], ParentType, ContextType>;
    sum?: Resolver<ResolversTypes['TransactionOutput_sum_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionOutput_Avg_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionOutput_avg_fields'] = ResolversParentTypes['TransactionOutput_avg_fields']> = ResolversObject<{
    value?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionOutput_Max_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionOutput_max_fields'] = ResolversParentTypes['TransactionOutput_max_fields']> = ResolversObject<{
    value?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionOutput_Min_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionOutput_min_fields'] = ResolversParentTypes['TransactionOutput_min_fields']> = ResolversObject<{
    value?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type TransactionOutput_Sum_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['TransactionOutput_sum_fields'] = ResolversParentTypes['TransactionOutput_sum_fields']> = ResolversObject<{
    value?: Resolver<Maybe<ResolversTypes['String']>, ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export interface UrlScalarConfig extends GraphQLScalarTypeConfig<ResolversTypes['URL'], any> {
    name: 'URL';
}
export declare type WithdrawalResolvers<ContextType = any, ParentType extends ResolversParentTypes['Withdrawal'] = ResolversParentTypes['Withdrawal']> = ResolversObject<{
    address?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    amount?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    transaction?: Resolver<ResolversTypes['Transaction'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Withdrawal_AggregateResolvers<ContextType = any, ParentType extends ResolversParentTypes['Withdrawal_aggregate'] = ResolversParentTypes['Withdrawal_aggregate']> = ResolversObject<{
    aggregate?: Resolver<ResolversTypes['Withdrawal_aggregate_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Withdrawal_Aggregate_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Withdrawal_aggregate_fields'] = ResolversParentTypes['Withdrawal_aggregate_fields']> = ResolversObject<{
    count?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    max?: Resolver<ResolversTypes['Withdrawal_max_fields'], ParentType, ContextType>;
    min?: Resolver<ResolversTypes['Withdrawal_min_fields'], ParentType, ContextType>;
    sum?: Resolver<ResolversTypes['Withdrawal_sum_fields'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Withdrawal_Max_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Withdrawal_max_fields'] = ResolversParentTypes['Withdrawal_max_fields']> = ResolversObject<{
    amount?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Withdrawal_Min_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Withdrawal_min_fields'] = ResolversParentTypes['Withdrawal_min_fields']> = ResolversObject<{
    amount?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Withdrawal_Sum_FieldsResolvers<ContextType = any, ParentType extends ResolversParentTypes['Withdrawal_sum_fields'] = ResolversParentTypes['Withdrawal_sum_fields']> = ResolversObject<{
    amount?: Resolver<ResolversTypes['String'], ParentType, ContextType>;
    __isTypeOf?: IsTypeOfResolverFn<ParentType>;
}>;
export declare type Resolvers<ContextType = any> = ResolversObject<{
    BigInt?: GraphQLScalarType;
    Block?: BlockResolvers<ContextType>;
    Block_aggregate?: Block_AggregateResolvers<ContextType>;
    Block_aggregate_fields?: Block_Aggregate_FieldsResolvers<ContextType>;
    Block_avg_fields?: Block_Avg_FieldsResolvers<ContextType>;
    Block_max_fields?: Block_Max_FieldsResolvers<ContextType>;
    Block_min_fields?: Block_Min_FieldsResolvers<ContextType>;
    Block_sum_fields?: Block_Sum_FieldsResolvers<ContextType>;
    Cardano?: CardanoResolvers<ContextType>;
    CardanoDbMeta?: CardanoDbMetaResolvers<ContextType>;
    DateTime?: GraphQLScalarType;
    Delegation?: DelegationResolvers<ContextType>;
    Delegation_aggregate?: Delegation_AggregateResolvers<ContextType>;
    Delegation_aggregate_fields?: Delegation_Aggregate_FieldsResolvers<ContextType>;
    Delegation_avg_fields?: Delegation_Avg_FieldsResolvers<ContextType>;
    Delegation_max_fields?: Delegation_Max_FieldsResolvers<ContextType>;
    Delegation_min_fields?: Delegation_Min_FieldsResolvers<ContextType>;
    Delegation_sum_fields?: Delegation_Sum_FieldsResolvers<ContextType>;
    Epoch?: EpochResolvers<ContextType>;
    Epoch_aggregate?: Epoch_AggregateResolvers<ContextType>;
    Epoch_aggregate_fields?: Epoch_Aggregate_FieldsResolvers<ContextType>;
    Epoch_max_fields?: Epoch_Max_FieldsResolvers<ContextType>;
    Epoch_min_fields?: Epoch_Min_FieldsResolvers<ContextType>;
    Epoch_sum_fields?: Epoch_Sum_FieldsResolvers<ContextType>;
    Hash32HexString?: GraphQLScalarType;
    IPv4?: GraphQLScalarType;
    IPv6?: GraphQLScalarType;
    Percentage?: GraphQLScalarType;
    Query?: QueryResolvers<ContextType>;
    Relay?: RelayResolvers<ContextType>;
    SlotLeader?: SlotLeaderResolvers<ContextType>;
    StakeDeregistration?: StakeDeregistrationResolvers<ContextType>;
    StakePool?: StakePoolResolvers<ContextType>;
    StakePool_aggregate?: StakePool_AggregateResolvers<ContextType>;
    StakePool_aggregate_fields?: StakePool_Aggregate_FieldsResolvers<ContextType>;
    StakePool_avg_fields?: StakePool_Avg_FieldsResolvers<ContextType>;
    StakePool_max_fields?: StakePool_Max_FieldsResolvers<ContextType>;
    StakePool_min_fields?: StakePool_Min_FieldsResolvers<ContextType>;
    StakePool_sum_fields?: StakePool_Sum_FieldsResolvers<ContextType>;
    StakePoolOwner?: StakePoolOwnerResolvers<ContextType>;
    StakePoolRetirement?: StakePoolRetirementResolvers<ContextType>;
    StakeRegistration?: StakeRegistrationResolvers<ContextType>;
    StakeRegistration_aggregate?: StakeRegistration_AggregateResolvers<ContextType>;
    StakeRegistration_aggregate_fields?: StakeRegistration_Aggregate_FieldsResolvers<ContextType>;
    StakeRegistration_avg_fields?: StakeRegistration_Avg_FieldsResolvers<ContextType>;
    StakeRegistration_max_fields?: StakeRegistration_Max_FieldsResolvers<ContextType>;
    StakeRegistration_min_fields?: StakeRegistration_Min_FieldsResolvers<ContextType>;
    StakeRegistration_sum_fields?: StakeRegistration_Sum_FieldsResolvers<ContextType>;
    Transaction?: TransactionResolvers<ContextType>;
    Transaction_aggregate?: Transaction_AggregateResolvers<ContextType>;
    Transaction_aggregate_fields?: Transaction_Aggregate_FieldsResolvers<ContextType>;
    Transaction_avg_fields?: Transaction_Avg_FieldsResolvers<ContextType>;
    Transaction_max_fields?: Transaction_Max_FieldsResolvers<ContextType>;
    Transaction_min_fields?: Transaction_Min_FieldsResolvers<ContextType>;
    Transaction_sum_fields?: Transaction_Sum_FieldsResolvers<ContextType>;
    TransactionInput?: TransactionInputResolvers<ContextType>;
    TransactionInput_aggregate?: TransactionInput_AggregateResolvers<ContextType>;
    TransactionInput_aggregate_fields?: TransactionInput_Aggregate_FieldsResolvers<ContextType>;
    TransactionInput_avg_fields?: TransactionInput_Avg_FieldsResolvers<ContextType>;
    TransactionInput_max_fields?: TransactionInput_Max_FieldsResolvers<ContextType>;
    TransactionInput_min_fields?: TransactionInput_Min_FieldsResolvers<ContextType>;
    TransactionInput_sum_fields?: TransactionInput_Sum_FieldsResolvers<ContextType>;
    TransactionOutput?: TransactionOutputResolvers<ContextType>;
    TransactionOutput_aggregate?: TransactionOutput_AggregateResolvers<ContextType>;
    TransactionOutput_aggregate_fields?: TransactionOutput_Aggregate_FieldsResolvers<ContextType>;
    TransactionOutput_avg_fields?: TransactionOutput_Avg_FieldsResolvers<ContextType>;
    TransactionOutput_max_fields?: TransactionOutput_Max_FieldsResolvers<ContextType>;
    TransactionOutput_min_fields?: TransactionOutput_Min_FieldsResolvers<ContextType>;
    TransactionOutput_sum_fields?: TransactionOutput_Sum_FieldsResolvers<ContextType>;
    URL?: GraphQLScalarType;
    Withdrawal?: WithdrawalResolvers<ContextType>;
    Withdrawal_aggregate?: Withdrawal_AggregateResolvers<ContextType>;
    Withdrawal_aggregate_fields?: Withdrawal_Aggregate_FieldsResolvers<ContextType>;
    Withdrawal_max_fields?: Withdrawal_Max_FieldsResolvers<ContextType>;
    Withdrawal_min_fields?: Withdrawal_Min_FieldsResolvers<ContextType>;
    Withdrawal_sum_fields?: Withdrawal_Sum_FieldsResolvers<ContextType>;
}>;
export declare type IResolvers<ContextType = any> = Resolvers<ContextType>;
//# sourceMappingURL=graphql_types.d.ts.map